'use strict';

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _rulesKnownTypeNames = require('./rules/KnownTypeNames');

var _rulesKnownTypeNames2 = _interopRequireDefault(_rulesKnownTypeNames);

// Spec Section: Fragments on Composite Types

var _rulesFragmentsOnCompositeTypes = require('./rules/FragmentsOnCompositeTypes');

var _rulesFragmentsOnCompositeTypes2 = _interopRequireDefault(_rulesFragmentsOnCompositeTypes);

// Spec Section: Variables are Input Types

var _rulesVariablesAreInputTypes = require('./rules/VariablesAreInputTypes');

var _rulesVariablesAreInputTypes2 = _interopRequireDefault(_rulesVariablesAreInputTypes);

// Spec Section: "Leaf Field Selections"

var _rulesScalarLeafs = require('./rules/ScalarLeafs');

var _rulesScalarLeafs2 = _interopRequireDefault(_rulesScalarLeafs);

// Spec Section: "Field Selections on Objects, Interfaces, and Unions Types"

var _rulesFieldsOnCorrectType = require('./rules/FieldsOnCorrectType');

var _rulesFieldsOnCorrectType2 = _interopRequireDefault(_rulesFieldsOnCorrectType);

// Spec Section: "Fragment spread target defined"

var _rulesKnownFragmentNames = require('./rules/KnownFragmentNames');

var _rulesKnownFragmentNames2 = _interopRequireDefault(_rulesKnownFragmentNames);

// Spec Section: "Fragments must be used"

var _rulesNoUnusedFragments = require('./rules/NoUnusedFragments');

var _rulesNoUnusedFragments2 = _interopRequireDefault(_rulesNoUnusedFragments);

// Spec Section: "Fragment spread is possible"

var _rulesPossibleFragmentSpreads = require('./rules/PossibleFragmentSpreads');

var _rulesPossibleFragmentSpreads2 = _interopRequireDefault(_rulesPossibleFragmentSpreads);

// Spec Section: "Fragments must not form cycles"

var _rulesNoFragmentCycles = require('./rules/NoFragmentCycles');

var _rulesNoFragmentCycles2 = _interopRequireDefault(_rulesNoFragmentCycles);

// Spec Section: "All Variable Used Defined"

var _rulesNoUndefinedVariables = require('./rules/NoUndefinedVariables');

var _rulesNoUndefinedVariables2 = _interopRequireDefault(_rulesNoUndefinedVariables);

// Spec Section: "All Variables Used"

var _rulesNoUnusedVariables = require('./rules/NoUnusedVariables');

var _rulesNoUnusedVariables2 = _interopRequireDefault(_rulesNoUnusedVariables);

// Spec Section: "Directives Are Defined"

var _rulesKnownDirectives = require('./rules/KnownDirectives');

var _rulesKnownDirectives2 = _interopRequireDefault(_rulesKnownDirectives);

// Spec Section: "Argument Names"

var _rulesKnownArgumentNames = require('./rules/KnownArgumentNames');

var _rulesKnownArgumentNames2 = _interopRequireDefault(_rulesKnownArgumentNames);

// Spec Section: "Argument Values Type Correctness"

var _rulesArgumentsOfCorrectType = require('./rules/ArgumentsOfCorrectType');

var _rulesArgumentsOfCorrectType2 = _interopRequireDefault(_rulesArgumentsOfCorrectType);

// Spec Section: "Argument Optionality"

var _rulesProvidedNonNullArguments = require('./rules/ProvidedNonNullArguments');

var _rulesProvidedNonNullArguments2 = _interopRequireDefault(_rulesProvidedNonNullArguments);

// Spec Section: "Variable Default Values Are Correctly Typed"

var _rulesDefaultValuesOfCorrectType = require('./rules/DefaultValuesOfCorrectType');

var _rulesDefaultValuesOfCorrectType2 = _interopRequireDefault(_rulesDefaultValuesOfCorrectType);

// Spec Section: "All Variable Usages Are Allowed"

var _rulesVariablesInAllowedPosition = require('./rules/VariablesInAllowedPosition');

var _rulesVariablesInAllowedPosition2 = _interopRequireDefault(_rulesVariablesInAllowedPosition);

// Spec Section: "Field Selection Merging"

var _rulesOverlappingFieldsCanBeMerged = require('./rules/OverlappingFieldsCanBeMerged');

var _rulesOverlappingFieldsCanBeMerged2 = _interopRequireDefault(_rulesOverlappingFieldsCanBeMerged);

/**
 * This default set of rules includes all validation rules defined by the
 * GraphQL spec. The order of these rules is important as errors encountered in
 * earlier rules will skip later rules, leading to less noise in error output.
 */
var allRules = [_rulesKnownTypeNames2['default'], _rulesFragmentsOnCompositeTypes2['default'], _rulesVariablesAreInputTypes2['default'], _rulesScalarLeafs2['default'], _rulesFieldsOnCorrectType2['default'], _rulesKnownFragmentNames2['default'], _rulesNoUnusedFragments2['default'], _rulesPossibleFragmentSpreads2['default'], _rulesNoFragmentCycles2['default'], _rulesNoUndefinedVariables2['default'], _rulesNoUnusedVariables2['default'], _rulesKnownDirectives2['default'], _rulesKnownArgumentNames2['default'], _rulesArgumentsOfCorrectType2['default'], _rulesProvidedNonNullArguments2['default'], _rulesDefaultValuesOfCorrectType2['default'], _rulesVariablesInAllowedPosition2['default'], _rulesOverlappingFieldsCanBeMerged2['default']];
exports.allRules = allRules;

/**
 *  Copyright (c) 2015, Facebook, Inc.
 *  All rights reserved.
 *
 *  This source code is licensed under the BSD-style license found in the
 *  LICENSE file in the root directory of this source tree. An additional grant
 *  of patent rights can be found in the PATENTS file in the same directory.
 */

// Spec Section: Fragment Spread Type Existence